Description: No xine malloc aligned.diff
Index: b/src/osgPlugins/xine/video_out_rgb.c
===================================================================
--- a/src/osgPlugins/xine/video_out_rgb.c
+++ b/src/osgPlugins/xine/video_out_rgb.c
@@ -2277,6 +2277,18 @@ FAILURE:
 }
 
 
+static void *xine_xmalloc_aligned(size_t alignment, size_t size, void **base)
+{
+  char *ptr;
+  
+  *base = ptr = xine_xmalloc (size+alignment);
+  
+  while ((size_t) ptr % alignment)
+    ptr++;
+    
+  return ptr;
+}
+
 static void
 rgbout_update_frame_format(vo_driver_t* vo_driver, vo_frame_t* vo_frame,
 		uint32_t width, uint32_t height, double ratio,
